Jump to content
From ArchWiki

Cardano is an open-source blockchain platform based on proof-of-stake. Its flagship cryptocurrency is Ada.

## Running a node

Install cardano-nodeAUR or cardano-node-binAUR, which will also install `cardano-node.service` which can then be started.

By default, the logging is quite verbose. If you would like to tune that down, find the appropriate configuration file (likely `mainnet-config.json` under `/var/lib/cardano-node/config` and make changes like:

    "TracingVerbosity": "MinimalVerbosity",
    "minSeverity": "Warning",

## Using a wallet

There are several wallets that support Ada. Not mentioned on the site is the CLI tool, `cardano-wallet`.

### cardano-wallet

Install either cardano-walletAUR or cardano-wallet-binAUR. The latter will also install a systemd service, so you can start `cardano-wallet.service` (after also starting the node).

Again, the default logging is quite verbose, and also the wallet will simply stay in memory by default. If you wish to tune down the logging, and write the wallet to disk, edit the systemd service file:

    cardano-wallet.service

    [Unit]
    Description=Cardano wallet
    Requires=network.target

    [Service]
    Type=simple
    EnvironmentFile=/etc/conf.d/cardano-node
    ExecStart=cardano-wallet serve --mainnet \
        --log-level WARNING \
        --database /path/to/your/wallet \
        --node-socket $SOCKET_PATH
    KillSignal=SIGINT
    Restart=always
    RestartSec=60
    User=cardano
    TimeoutStopSec=90

    [Install]
    WantedBy=multi-user.target

Category:

- Cryptocurrencies